// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyBkq6SyBBTd2-DMLXOWj80nJe6sD-u2DRI',
    appId: '1:188687205826:web:4426eacfb1fead017a425b',
    messagingSenderId: '188687205826',
    projectId: 'fir-flutter-codelab-43c14',
    authDomain: 'fir-flutter-codelab-43c14.firebaseapp.com',
    storageBucket: 'fir-flutter-codelab-43c14.appspot.com',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyATP9VrnGMLp5996NTdA9BdpR9NhjdiXy4',
    appId: '1:188687205826:android:a45bb0128224c8927a425b',
    messagingSenderId: '188687205826',
    projectId: 'fir-flutter-codelab-43c14',
    storageBucket: 'fir-flutter-codelab-43c14.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCs_KWaI80e_aiyZZjdAfUxwix7cL6u6W0',
    appId: '1:188687205826:ios:e667ff22504a6ece7a425b',
    messagingSenderId: '188687205826',
    projectId: 'fir-flutter-codelab-43c14',
    storageBucket: 'fir-flutter-codelab-43c14.appspot.com',
    iosClientId: '188687205826-o2r35gmnrt5rkqmosbmd3rl8r997n2h4.apps.googleusercontent.com',
    iosBundleId: 'com.example.gtkFlutter',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyCs_KWaI80e_aiyZZjdAfUxwix7cL6u6W0',
    appId: '1:188687205826:ios:e667ff22504a6ece7a425b',
    messagingSenderId: '188687205826',
    projectId: 'fir-flutter-codelab-43c14',
    storageBucket: 'fir-flutter-codelab-43c14.appspot.com',
    iosClientId: '188687205826-o2r35gmnrt5rkqmosbmd3rl8r997n2h4.apps.googleusercontent.com',
    iosBundleId: 'com.example.gtkFlutter',
  );
}
